Subject: Re: Does git belong in root's $PATH?

From: "H. Peter Anvin" <[email-masked]>
Date: Sat, 07 Jan 2006 12:40:05 -0800

Andreas Ericsson wrote:
> 
> Not including /usr/local/{bin,sbin} in root's path is considered wise, 
> since, historically, that's where users would install their own versions 
> of programs that the system doesn't provide. This use has largely been 
> obsoleted by $HOME/bin as the default for user-specific programs, mainly 
> because of disks getting larger and cheaper.
> 

Hmmm... I think that was /usr/bin (hence the eventual migration of the 
meaning of /usr from what was originally the equivalent of /home.)

Today /usr/local is strictly a location for site-local things; a place 
that won't conflict with the distribution.

	-hpa